# bcond_with    = disable
# bcond_without = enable
%bcond_with gtkdoc

%define api_version     2.0
%define gir_major       2.0
%define lib_major       0
%define lib_name        %mklibname pango %{api_version} %{lib_major}
%define libnamedev      %mklibname -d pango %{api_version}
%define gir_name        %mklibname pango-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	System for layout and rendering of internationalized text
Name:		pango%{api_version}
Version:	1.90.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Internationalization
URL:		https://pango.gnome.org/
Source0:	https://download.gnome.org/sources/pango/%{url_ver}/pango-%{version}.tar.xz
# The bad symptoms that are fixed by this patch still appear when it is not
# applied. Restoring ( -- shlomif )
Patch1:		pango-mga25737.patch
Patch2:		pango-fix-gnumeric-crash.patch
#
Patch10:	pango-1.90.0-utils.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gi-docgen)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	python3dist(gi-docgen)
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%if %{with gtkdoc}
BuildRequires:	gtk-doc
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
%else
Obsoletes:	pango%{api_version}-doc < %{version}-%{release}
%endif
Provides:	pango2%{?_isa} = %{version}-%{release}
Provides:	pango2 = %{version}-%{release}

%description
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}
Summary:	System for layout and rendering of internationalized text
Group:		System/Libraries
Provides:	libpango2%{?_isa} = %{version}-%{release}
Provides:	libpango2 = %{version}-%{release}
Provides:	lib%{name}%{?_isa} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{lib_name}
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:	Development files for pango
Group:		Development/GNOME and GTK+
Provides:	pango2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpango2-devel = %{version}-%{release}
Provides:	libpango%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
%if %{with gtkdoc}
Recommends:	%{name}-doc >= %{version}-%{release}
%endif

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package doc
Summary:        %{summary}
Group:		Development/GNOME and GTK+
BuildArch:	noarch

%description doc
This package provides API documentation for Pango.


%prep
%autosetup -p1 -n pango-%{version}

%build
%meson \
        -Ddocumentation=%{?with_gtkdoc:true}%{!?with_gtkdoc:false}
%meson_build

%install
%meson_install

%check
# fails with iurt or mock, and when gnumeric patch is enabled
%meson_test || true

%files
%doc README.md THANKS
%doc NEWS
%{_bindir}/pango-list%{api_version}
%{_bindir}/pango-segmentation%{api_version}
%{_bindir}/pango-view%{api_version}
%{_mandir}/man1/pango-view%{api_version}.1*

%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/libpango-%{api_version}.so
%{_libdir}/pkgconfig/pango2.pc
%{_libdir}/pkgconfig/pangocairo2.pc
%{_includedir}/pango-%{api_version}/
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir

%if %{with gtkdoc}
%files doc
%doc %{_datadir}/doc/Pango/
%endif


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.90.0-2.mga10
+ Revision: 2232957
- Mageia 10 Mass Rebuild

* Fri Dec 27 2024 wally <wally> 1.90.0-1.mga10
+ Revision: 2130717
- fork as pango2.0
- new version 1.90.0
- new api 2.0
- disable doc pkg

* Fri Dec 27 2024 wally <wally> 1.55.0-1.mga10
+ Revision: 2130637
- new version 1.55.0
- move all utils into main pkg
- remove main pkg requires from lib pkg

* Sat Jun 15 2024 daviddavid <daviddavid> 1.54.0-1.mga10
+ Revision: 2074275
- new version 1.54.0

* Tue Apr 23 2024 daviddavid <daviddavid> 1.52.2-1.mga10
+ Revision: 2060719
- new version: 1.52.2

* Sun Mar 17 2024 daviddavid <daviddavid> 1.52.1-1.mga10
+ Revision: 2050267
- new version 1.52.1

* Tue Mar 05 2024 daviddavid <daviddavid> 1.52.0-1.mga10
+ Revision: 2047598
- new version 1.52.0

* Thu Sep 21 2023 tv <tv> 1.51.0-1.mga10
+ Revision: 1989246
- Update to 1.51.0

* Sat Apr 22 2023 tmb <tmb> 1.50.14-1.mga9
+ Revision: 1954129
- update to 1.50.14

* Thu Nov 24 2022 tv <tv> 1.50.12-1.mga9
+ Revision: 1910731
- Update to 1.50.12

* Mon Oct 03 2022 ovitters <ovitters> 1.50.11-1.mga9
+ Revision: 1894468
- new version 1.50.11

* Fri Sep 16 2022 ovitters <ovitters> 1.50.10-1.mga9
+ Revision: 1889334
- new version 1.50.10

* Wed Aug 10 2022 ovitters <ovitters> 1.50.9-1.mga9
+ Revision: 1876795
- new version 1.50.9

* Sat Jul 02 2022 ovitters <ovitters> 1.50.8-1.mga9
+ Revision: 1867115
- new version 1.50.8

* Thu Apr 14 2022 ovitters <ovitters> 1.50.7-1.mga9
+ Revision: 1849736
- new version 1.50.7

* Sat Mar 19 2022 ovitters <ovitters> 1.50.6-1.mga9
+ Revision: 1799684
- new version 1.50.6

* Tue Mar 15 2022 luigiwalser <luigiwalser> 1.50.5-1.mga9
+ Revision: 1793884
- fix files list for docs
+ ovitters <ovitters>
- new version 1.50.5

* Wed Feb 09 2022 ovitters <ovitters> 1.50.4-1.mga9
+ Revision: 1772775
- new version 1.50.4

* Wed Dec 22 2021 ovitters <ovitters> 1.50.3-1.mga9
+ Revision: 1763257
- new version 1.50.3

* Thu Dec 16 2021 ovitters <ovitters> 1.50.2-1.mga9
+ Revision: 1762276
- new version 1.50.2

* Sat Dec 11 2021 ovitters <ovitters> 1.50.1-1.mga9
+ Revision: 1761391
- new version 1.50.1

* Mon Dec 06 2021 ovitters <ovitters> 1.50.0-1.mga9
+ Revision: 1760970
- new version 1.50.0
- new version 1.49.4

* Mon Nov 08 2021 ovitters <ovitters> 1.49.3-1.mga9
+ Revision: 1754778
- new version 1.49.3

* Sat Nov 06 2021 joequant <joequant> 1.49.2-1.mga9
+ Revision: 1754061
- update to 1.49.2

* Sat Sep 11 2021 ovitters <ovitters> 1.48.10-1.mga9
+ Revision: 1745159
- new version 1.48.10

* Wed Aug 18 2021 ovitters <ovitters> 1.48.9-1.mga9
+ Revision: 1741829
- new version 1.48.9

* Thu Aug 12 2021 ovitters <ovitters> 1.48.8-1.mga9
+ Revision: 1741117
- new version 1.48.8

* Sun Aug 08 2021 ovitters <ovitters> 1.48.7-1.mga9
+ Revision: 1740250
- new version 1.48.7

* Tue May 18 2021 ovitters <ovitters> 1.48.5-1.mga9
+ Revision: 1725444
- new version 1.48.5

* Sat Mar 27 2021 tv <tv> 1.48.4-2.mga9
+ Revision: 1711149
- Re-enable doc

* Sat Mar 27 2021 ovitters <ovitters> 1.48.4-1.mga9
+ Revision: 1711067
- new version 1.48.4
- new version 1.48.3
- resync gnumeric crash patch

* Thu Feb 11 2021 ovitters <ovitters> 1.48.2-1.mga9
+ Revision: 1675153
- new version 1.48.2

* Fri Jan 29 2021 ovitters <ovitters> 1.48.1-1.mga8
+ Revision: 1674003
- new version 1.48.1

* Wed Nov 18 2020 ovitters <ovitters> 1.48.0-1.mga8
+ Revision: 1646976
- new version 1.48.0

* Wed Sep 30 2020 ovitters <ovitters> 1.47.0-1.mga8
+ Revision: 1631299
- new version 1.47.0

* Fri Sep 18 2020 ovitters <ovitters> 1.46.2-1.mga8
+ Revision: 1628642
- new version 1.46.2

* Thu Aug 20 2020 ovitters <ovitters> 1.46.1-1.mga8
+ Revision: 1616592
- new version 1.46.1

* Mon Aug 10 2020 ovitters <ovitters> 1.46.0-1.mga8
+ Revision: 1613129
- new version 1.46.0

* Wed Aug 05 2020 ovitters <ovitters> 1.45.5-1.mga8
+ Revision: 1611293
- new version 1.45.5

* Thu Jul 30 2020 ovitters <ovitters> 1.45.4-1.mga8
+ Revision: 1609926
- new version 1.45.4

* Mon Jun 22 2020 ovitters <ovitters> 1.45.3-1.mga8
+ Revision: 1598494
- new version 1.45.3

* Thu Jun 18 2020 shlomif <shlomif> 1.45.2-4.mga8
+ Revision: 1596425
- fix crash in gnumeric when opening a file with a chart

* Tue Jun 16 2020 shlomif <shlomif> 1.45.2-3.mga8
+ Revision: 1593531
- restore mga25737 patch

* Fri Jun 12 2020 ovitters <ovitters> 1.45.2-2.mga8
+ Revision: 1592795
- drop pango-mga25737.patch; fixed differently in 1.45.2 (upstream commit dd867f41)

* Fri Jun 12 2020 tv <tv> 1.45.2-1.mga8
+ Revision: 1592717
- 1.45.2

* Thu Jun 11 2020 shlomif <shlomif> 1.45.1-4.mga8
+ Revision: 1592356
- gtk2 crashes: apply more patches
- gtk2 crashes: apply more patches

* Wed Jun 10 2020 shlomif <shlomif> 1.45.1-3.mga8
+ Revision: 1592074
- fix another gtk2 crash

* Wed Jun 10 2020 shlomif <shlomif> 1.45.1-2.mga8
+ Revision: 1591986
- fix gtk2 crash
+ ovitters <ovitters>
- update url

* Tue Jun 09 2020 ovitters <ovitters> 1.45.1-1.mga8
+ Revision: 1591209
- new version 1.45.1

* Mon May 04 2020 shlomif <shlomif> 1.44.7-3.mga8
+ Revision: 1578729
- fix for pidgin-facebook hang: mga#25737

* Mon Feb 17 2020 umeabot <umeabot> 1.44.7-2.mga8
+ Revision: 1537107
- Mageia 8 Mass Rebuild

* Fri Oct 25 2019 ovitters <ovitters> 1.44.7-1.mga8
+ Revision: 1455707
- new version 1.44.7

* Tue Sep 03 2019 ovitters <ovitters> 1.44.6-1.mga8
+ Revision: 1436632
- new version 1.44.6

* Wed Aug 14 2019 ovitters <ovitters> 1.44.5-1.mga8
+ Revision: 1429320
- new version 1.44.5

* Tue Aug 13 2019 ovitters <ovitters> 1.44.4-1.mga8
+ Revision: 1429210
- new version 1.44.4

* Sun Aug 04 2019 ovitters <ovitters> 1.44.3-1.mga8
+ Revision: 1427227
- new version 1.44.3

* Sat Aug 03 2019 ovitters <ovitters> 1.44.2-1.mga8
+ Revision: 1426977
- new version 1.44.2

* Mon Jul 29 2019 ovitters <ovitters> 1.44.1-1.mga8
+ Revision: 1424810
- new version 1.44.1

* Sat Jul 27 2019 ovitters <ovitters> 1.44.0-1.mga8
+ Revision: 1424588
- new version 1.44.0
- dropped merged patch 0001-pango.pc-Make-gobject-2.0-a-non-private-requirement.patch

* Thu Apr 18 2019 umeabot <umeabot> 1.43.0-3.mga7
+ Revision: 1392853
- Rebuild with meson 0.50.1

* Wed Apr 03 2019 wally <wally> 1.43.0-2.mga7
+ Revision: 1385604
- add upstream patch to fix linking issues when building against pango

* Fri Mar 08 2019 ovitters <ovitters> 1.43.0-1.mga7
+ Revision: 1372660
- switch to meson
- new version 1.43.0

* Sun Sep 23 2018 umeabot <umeabot> 1.42.4-2.mga7
+ Revision: 1300103
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 ovitters <ovitters> 1.42.4-1.mga7
+ Revision: 1253135
- new version 1.42.4

* Mon Jul 30 2018 ovitters <ovitters> 1.42.3-1.mga7
+ Revision: 1246125
- new version 1.42.3
+ wally <wally>
- loosen lib pkg requires

* Thu Jul 19 2018 ovitters <ovitters> 1.42.2-1.mga7
+ Revision: 1244378
- new version 1.42.2

* Sat Apr 07 2018 ovitters <ovitters> 1.42.1-1.mga7
+ Revision: 1215933
- new version 1.42.1

* Mon Mar 12 2018 ovitters <ovitters> 1.42.0-1.mga7
+ Revision: 1208594
- new version 1.42.0

* Tue Feb 13 2018 ovitters <ovitters> 1.41.1-1.mga7
+ Revision: 1200850
- new version 1.41.1

* Thu Nov 16 2017 ovitters <ovitters> 1.40.14-1.mga7
+ Revision: 1177508
- new version 1.40.14

* Sat Oct 28 2017 ovitters <ovitters> 1.40.13-1.mga7
+ Revision: 1174311
- new version 1.40.13

* Mon Sep 04 2017 ovitters <ovitters> 1.40.12-1.mga7
+ Revision: 1151188
- new version 1.40.12

* Sat Aug 19 2017 ovitters <ovitters> 1.40.11-1.mga7
+ Revision: 1141674
- new version 1.40.11
- new version 1.40.10

* Wed Aug 09 2017 ovitters <ovitters> 1.40.9-1.mga7
+ Revision: 1139121
- new version 1.40.9

* Mon Aug 07 2017 ovitters <ovitters> 1.40.8-1.mga7
+ Revision: 1138687
- new version 1.40.8

* Tue Jul 18 2017 ovitters <ovitters> 1.40.7-1.mga7
+ Revision: 1124705
- new version 1.40.7

* Mon May 22 2017 ovitters <ovitters> 1.40.6-1.mga6
+ Revision: 1104124
- new version 1.40.6

* Sat Apr 08 2017 ovitters <ovitters> 1.40.5-1.mga6
+ Revision: 1096129
- new version 1.40.5
- new version 1.40.4

* Sun Nov 27 2016 wally <wally> 1.40.3-3.mga6
+ Revision: 1070426
- drop unneeded requires

* Mon Sep 26 2016 tv <tv> 1.40.3-2.mga6
+ Revision: 1056765
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 tv <tv> 1.40.3-1.mga6
+ Revision: 1056121
- new release
+ ovitters <ovitters>
- new version 1.40.2

* Mon Apr 11 2016 ovitters <ovitters> 1.40.1-1.mga6
+ Revision: 1000377
- new version 1.40.1

* Tue Mar 22 2016 ovitters <ovitters> 1.40.0-1.mga6
+ Revision: 994208
- new version 1.40.0

* Mon Dec 14 2015 ovitters <ovitters> 1.39.0-1.mga6
+ Revision: 910415
- new version 1.39.0

* Mon Oct 12 2015 ovitters <ovitters> 1.38.1-1.mga6
+ Revision: 890103
- new version 1.38.1

* Wed Sep 23 2015 fwang <fwang> 1.38.0-1.mga6
+ Revision: 882338
- 1.38.0

* Mon Sep 14 2015 ovitters <ovitters> 1.37.5-1.mga6
+ Revision: 879360
- new version 1.37.5

* Wed Sep 09 2015 ovitters <ovitters> 1.37.4-1.mga6
+ Revision: 874267
- new version 1.37.4

* Sat Aug 15 2015 ovitters <ovitters> 1.37.3-1.mga6
+ Revision: 864808
- new version 1.37.3

* Tue Jul 21 2015 ovitters <ovitters> 1.37.2-1.mga6
+ Revision: 855852
- new version 1.37.2

* Sun Jun 28 2015 wally <wally> 1.37.1-2.mga6
+ Revision: 846634
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 1.37.1-1.mga6
+ Revision: 839485
- new version 1.37.1

* Sun Jun 21 2015 ovitters <ovitters> 1.37.0-1.mga6
+ Revision: 838257
- new version 1.37.0
- upstream removed pango modules support

* Wed Oct 15 2014 umeabot <umeabot> 1.36.8-3.mga5
+ Revision: 742580
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.36.8-2.mga5
+ Revision: 724952
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 1.36.8-1.mga5
+ Revision: 719191
- new version 1.36.8
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Sep 03 2014 ovitters <ovitters> 1.36.7-1.mga5
+ Revision: 671667
- new version 1.36.7

* Sat Aug 16 2014 ovitters <ovitters> 1.36.6-1.mga5
+ Revision: 663918
- new version 1.36.6

* Tue Jun 24 2014 ovitters <ovitters> 1.36.5-1.mga5
+ Revision: 639408
- new version 1.36.5
- new version 1.36.4

* Tue Mar 18 2014 ovitters <ovitters> 1.36.3-1.mga5
+ Revision: 604683
- new version 1.36.3

* Tue Feb 04 2014 ovitters <ovitters> 1.36.2-1.mga5
+ Revision: 582445
- new version 1.36.2

* Mon Nov 11 2013 ovitters <ovitters> 1.36.1-1.mga4
+ Revision: 550527
- new version 1.36.1

* Sat Oct 19 2013 umeabot <umeabot> 1.36.0-2.mga4
+ Revision: 536357
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 1.36.0-1.mga4
+ Revision: 484173
- new version 1.36.0

* Mon Sep 02 2013 ovitters <ovitters> 1.35.3-1.mga4
+ Revision: 474474
- new version 1.35.3

* Tue Aug 20 2013 sander85 <sander85> 1.35.2-1.mga4
+ Revision: 468138
- New version: 1.35.2

* Sun Jul 28 2013 dams <dams> 1.35.0-1.mga4
+ Revision: 459234
- new version 1.35.0
- add 'pango-test' sub package

* Sat May 25 2013 ovitters <ovitters> 1.34.1-1.mga4
+ Revision: 427121
- drop merged patch
- new version 1.34.1

* Sun Jan 13 2013 umeabot <umeabot> 1.32.5-3.mga3
+ Revision: 362382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.32.5-2.mga3
+ Revision: 339689
- patch6: fix build with automake 1.13

* Tue Dec 18 2012 ovitters <ovitters> 1.32.5-1.mga3
+ Revision: 332321
- new version 1.32.5

* Fri Dec 07 2012 fwang <fwang> 1.32.4-1.mga3
+ Revision: 327908
- drop unused patch
- br harfbuzz 0.9.9
+ ovitters <ovitters>
- new version 1.32.4

* Tue Nov 20 2012 fwang <fwang> 1.32.3-1.mga3
+ Revision: 319698
- revert harbuff 0.9.7 adoption
+ ovitters <ovitters>
- new version 1.32.3

* Thu Nov 15 2012 fwang <fwang> 1.32.2-1.mga3
+ Revision: 318021
- new version 1.32.2

* Fri Sep 28 2012 fwang <fwang> 1.32.1-1.mga3
+ Revision: 298873
- new version 1.32.1

* Thu Sep 27 2012 shlomif <shlomif> 1.32.0-2.mga3
+ Revision: 298828
- New release - mkrel 2 - bug fix for crashes.
  https://bugzilla.gnome.org/show_bug.cgi?id=684959 .

* Thu Sep 27 2012 fwang <fwang> 1.32.0-1.mga3
+ Revision: 298560
- update module version
- pangox was removed
- update file list
- set doc as noarch package
- new version 1.32.0

* Mon Jun 11 2012 blino <blino> 1.30.1-2.mga3
+ Revision: 259571
- use new --system option when running pango-querymodules in post script

* Sun Jun 10 2012 shlomif <shlomif> 1.30.1-1.mga3
+ Revision: 259565
- Got rid of tabs to please rpmlint
- Made rpmlint happier with some fixes
- Disabled make check because it fails.
+ ovitters <ovitters>
- new version 1.30.1
- reenable make check

* Wed Mar 28 2012 ovitters <ovitters> 1.30.0-1.mga2
+ Revision: 227249
- disable make check, fails only on missing documentation
- clean spec
- new version 1.30.0

* Wed Nov 23 2011 fwang <fwang> 1.29.5-1.mga2
+ Revision: 171144
- rediff patches
- new version 1.29.5

* Wed Sep 28 2011 ovitters <ovitters> 1.29.4-1.mga2
+ Revision: 149973
- new version 1.29.4
  clean spec file

* Sat Sep 10 2011 fwang <fwang> 1.29.3-7.mga2
+ Revision: 142174
- rebuild for new cairo

* Fri Sep 02 2011 wally <wally> 1.29.3-6.mga2
+ Revision: 137943
- don't require gir package in lib one
- make -devel package only to suggest -doc one

* Fri Jul 08 2011 cjw <cjw> 1.29.3-5.mga2
+ Revision: 119930
- rebuild with rpm-mageia-setup 1.137 to add typelib deps

* Thu Jul 07 2011 wally <wally> 1.29.3-4.mga2
+ Revision: 119837
- fix gir package name

* Thu Jul 07 2011 cjw <cjw> 1.29.3-3.mga2
+ Revision: 119562
- rebuild for automatic typelib provides

* Tue Jul 05 2011 dmorgan <dmorgan> 1.29.3-2.mga2
+ Revision: 118845
- Make the lib package requires the gir one

* Sun Jul 03 2011 wally <wally> 1.29.3-1.mga2
+ Revision: 117732
- new version 1.29.3
- create a subpackage for gir .typelib
- clean .spec a bit

* Tue Apr 05 2011 tv <tv> 1.28.4-1.mga1
+ Revision: 80913
- patch 1: don't test the docs for now (mdv)
- bump minimal glib require
- new release

* Wed Jan 12 2011 blino <blino> 1.28.3-1.mga1
+ Revision: 7605
- enable gtkdoc, it seems autoreconf needs it
+ dmorgan <dmorgan>
- imported package pango

